//+------------------------------------------------------------------+
//| Inside BARS .mq4 |
//| Perky Aint no turkey|
//| |
//+------------------------------------------------------------------+
#property copyright "Perky"
#property link "Perky_z@yahoo.com"
//---- indicator settings
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Gold
#property indicator_color2 DodgerBlue


//---- indicator parameters
extern int ADXPeriod=14;


//---- indicator buffers
double ind_buffer1[];
double ind_buffer2[];
double ind_buffer3[];

int HighBarBuffer[];
int LowBarBuffer[];
double ArOscBuffer[];
double b4plusdi,b4minusdi,nowplusdi,nowminusdi;
//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{

//----additional buffers are used for counting.
IndicatorBuffers(5);
SetIndexBuffer(2, HighBarBuffer);
SetIndexBuffer(3, LowBarBuffer);
SetIndexBuffer(4, ArOscBuffer);

//---- drawing settings
SetIndexStyle(0,DRAW_HISTOGRAM,STYLE_SOLID,4);
SetIndexStyle(1,DRAW_HISTOGRAM,STYLE_SOLID,4);
//SetIndexDrawBegin(0,1500);
//SetIndexDrawBegin(1,1500);
IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS)+1);

//---- indicator buffers mapping
if(!SetIndexBuffer(0,ind_buffer1) && !SetIndexBuffer(1,ind_buffer2)
&& !SetIndexBuffer(2,HighBarBuffer) && !SetIndexBuffer(3,LowBarBuffer)
&& !SetIndexBuffer(4,ArOscBuffer))
Print("cannot set indicator buffers!");

//---- name for DataWindow and indicator subwindow label

//---- initialization done
return(0);
}

//+------------------------------------------------------------------+
//| Aroon Oscilator |
//+------------------------------------------------------------------+
int start()
{
double ArOsc=0;
int ArPer,limit,i;
int counted_bars=IndicatorCounted();



//---- check for possible errors
if(counted_bars<0) return(-1);

//---- initial zero

//---- last counted bar will be recounted
if(counted_bars>0) counted_bars--;
limit=Bars-counted_bars;
double mcHigh[6]; 
double mcLow[7]; 

//----Calculation---------------------------
for( i=1; i<limit; i++)
{



if(Low[i+1]<= Low[i] && High[i+1]>=High[i])
{
ind_buffer2[i]=Low[i]; //Paint low of IB
ind_buffer1[i]=High[i]; // Paint High of IB
mcHigh[6]= High[i+1]; // store McHigh in array
mcLow[7]= Low[i+1]; // store mcLow in array 
if (mcHigh[6]>=High[i] && mcLow[7]<=Low[i])
{ind_buffer2[i]=Low[i]; //Paint low of IB
ind_buffer1[i]=High[i]; // Paint High of IB
}

}
 
}
//---- done

return(0);
}

 



